/*!
    *
    * Wijmo Library 5.20251.34
    * https://developer.mescius.com/wijmo
    *
    * Copyright(c) MESCIUS inc. All rights reserved.
    *
    * Licensed under the End-User License Agreement For MESCIUS Wijmo Software.
    * us.sales@mescius.com
    * https://developer.mescius.com/wijmo/licensing
    *
    */
/**
 * {@module wijmo.vue2.chart.finance.analytics}
 * Contains Vue 2 and 3 components for the <b>wijmo.chart.finance.analytics</b> module.
 */
/**
 *
 */
export declare var ___keepComment: any;
/**
 * Vue component for the {@link wijmo.chart.finance.analytics.Fibonacci} class.
 *
 * The <b>wj-flex-chart-fibonacci</b> component should be contained in
 * a {@link wijmo.vue2.chart.finance.WjFinancialChart} component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.finance.analytics.Fibonacci} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartFibonacci: any;
/**
 * Vue component for the {@link wijmo.chart.finance.analytics.FibonacciArcs} class.
 *
 * The <b>wj-flex-chart-fibonacci-arcs</b> component should be contained in
 * a {@link wijmo.vue2.chart.finance.WjFinancialChart} component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.finance.analytics.FibonacciArcs} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartFibonacciArcs: any;
/**
 * Vue component for the {@link wijmo.chart.finance.analytics.FibonacciFans} class.
 *
 * The <b>wj-flex-chart-fibonacci-fans</b> component should be contained in
 * a {@link wijmo.vue2.chart.finance.WjFinancialChart} component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.finance.analytics.FibonacciFans} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartFibonacciFans: any;
/**
 * Vue component for the {@link wijmo.chart.finance.analytics.FibonacciTimeZones} class.
 *
 * The <b>wj-flex-chart-fibonacci-time-zones</b> component should be contained in
 * a {@link wijmo.vue2.chart.finance.WjFinancialChart} component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.finance.analytics.FibonacciTimeZones} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartFibonacciTimeZones: any;
/**
 * Vue component for the {@link wijmo.chart.finance.analytics.ATR} class.
 *
 * The <b>wj-flex-chart-atr</b> component should be contained in
 * a {@link wijmo.vue2.chart.finance.WjFinancialChart} component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.finance.analytics.ATR} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartAtr: any;
/**
 * Vue component for the {@link wijmo.chart.finance.analytics.CCI} class.
 *
 * The <b>wj-flex-chart-cci</b> component should be contained in
 * a {@link wijmo.vue2.chart.finance.WjFinancialChart} component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.finance.analytics.CCI} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartCci: any;
/**
 * Vue component for the {@link wijmo.chart.finance.analytics.RSI} class.
 *
 * The <b>wj-flex-chart-rsi</b> component should be contained in
 * a {@link wijmo.vue2.chart.finance.WjFinancialChart} component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.finance.analytics.RSI} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartRsi: any;
/**
 * Vue component for the {@link wijmo.chart.finance.analytics.WilliamsR} class.
 *
 * The <b>wj-flex-chart-williams-r</b> component should be contained in
 * a {@link wijmo.vue2.chart.finance.WjFinancialChart} component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.finance.analytics.WilliamsR} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartWilliamsR: any;
/**
 * Vue component for the {@link wijmo.chart.finance.analytics.Macd} class.
 *
 * The <b>wj-flex-chart-macd</b> component should be contained in
 * a {@link wijmo.vue2.chart.finance.WjFinancialChart} component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.finance.analytics.Macd} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartMacd: any;
/**
 * Vue component for the {@link wijmo.chart.finance.analytics.MacdHistogram} class.
 *
 * The <b>wj-flex-chart-macd-histogram</b> component should be contained in
 * a {@link wijmo.vue2.chart.finance.WjFinancialChart} component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.finance.analytics.MacdHistogram} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartMacdHistogram: any;
/**
 * Vue component for the {@link wijmo.chart.finance.analytics.Stochastic} class.
 *
 * The <b>wj-flex-chart-stochastic</b> component should be contained in
 * a {@link wijmo.vue2.chart.finance.WjFinancialChart} component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.finance.analytics.Stochastic} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartStochastic: any;
/**
 * Vue component for the {@link wijmo.chart.finance.analytics.BollingerBands} class.
 *
 * The <b>wj-flex-chart-bollinger-bands</b> component should be contained in
 * a {@link wijmo.vue2.chart.finance.WjFinancialChart} component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.finance.analytics.BollingerBands} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartBollingerBands: any;
/**
 * Vue component for the {@link wijmo.chart.finance.analytics.Envelopes} class.
 *
 * The <b>wj-flex-chart-envelopes</b> component should be contained in
 * a {@link wijmo.vue2.chart.finance.WjFinancialChart} component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.finance.analytics.Envelopes} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartEnvelopes: any;
export declare function registerChartFinanceAnalytics(app: any): void;
